{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.lootchest.default" : {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "opening": "query.mark_variant == 1"
            },
            {
              "opened": "query.mark_variant == 2"
            }
          ]
        },
        "opening": {
          "animations": [
            "opening"
          ],
          "transitions": [
            {
              "opened": "query.all_animations_finished"
            }
          ]
        },
        "opened": {
          "animations": [
            "opened"
          ],
          "transitions": [
            {
              "default": "query.mark_variant == 0"
            }
          ]
        }
      }
    }
  }
}
